libetonyek::KEY1ContentElement Class Reference documentation

libetonyek::KEY1ContentElement Class Reference

`#include <KEY1ContentElement.h>`

Inheritance diagram for libetonyek::KEY1ContentElement:

## Public Member Functions
| KEY1ContentElement (KEY1ParserState &state)
Public Member Functions inherited from libetonyek::KEY1XMLContextBase< IWORKXMLContextElement >
| KEY1XMLContextBase (KEY1ParserState &state)
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T>
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | CDATA (const char *value) override
void | text (const char *value) override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
KEY1DivStyle | m_divStyle
KEY1SpanStyle | m_spanStyle
bool | m_delayedLineBreak

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ KEY1ContentElement()

libetonyek::KEY1ContentElement::KEY1ContentElement | ( | KEY1ParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::KEY1ContentElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotected

## ◆ CDATA()

void libetonyek::KEY1ContentElement::CDATA | ( | const char * | value | ) |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::KEY1ContentElement::element | ( | int | name | ) |
| overrideprotected

## ◆ text()

void libetonyek::KEY1ContentElement::text | ( | const char * | value | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_delayedLineBreak

bool libetonyek::KEY1ContentElement::m_delayedLineBreak
| private

Referenced by CDATA(), element(), KEY1ContentElement(), and text().

## ◆ m_divStyle

KEY1DivStyle libetonyek::KEY1ContentElement::m_divStyle
| private

Referenced by attribute(), CDATA(), element(), KEY1ContentElement(), and text().

## ◆ m_spanStyle

KEY1SpanStyle libetonyek::KEY1ContentElement::m_spanStyle
| private

Referenced by attribute(), CDATA(), element(), KEY1ContentElement(), and text().

The documentation for this class was generated from the following files:

- KEY1ContentElement.h
- KEY1ContentElement.cpp